.\" 1999 PTM Rafa Witkowski
.\" Poprawki: Przemek Borys
.\" $XConsortium: startx.man /main/8 1996/12/09 17:09:15 kaleb $
.\" Copyright (c) 1993  X Consortium
.\" 
.\" $XFree86: xc/programs/xinit/startx.man,v 1.1.1.3.2.2 1998/11/05 19:38:35 hohndel Exp $
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation PLIKI (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modjeeliy, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\" 
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.TH STARTX 1 "Release 6.3" "X Version 11"
.SH NAZWA
startx \- inicjuje sesj X-Windows
.SH SKADNIA
.B startx
.RI [[ klient ]
.I opcje
\&\.\|.\|.]
.RB [ \-\^\-
.RI [ serwer ]
.I opcje
\&.\|.\|.]
.SH OPIS
UWAGA: Skrypt \fIstartx\fP  dostarczony razem z dystrybucj X11 
jest przykadem przeznaczonym bardziej jako baza dla indywidualnych 
rozwiza ni jako gotowy produkt. Administratorzy sieci powinni go 
dostosowa do wasnych sieci. Jeeli to zrobi, powinni te wtedy 
zaktualizowa te strony podrcznika!
.PP
Skrypt startx jest interfejsem do programu xinit, ktry dostarcza
przyjaznej obsugi uytkownika dla uruchamiania pojedynczej sesji systemu 
X Window. Jest wywoywany zwykle bez argumentw.
.PP
Jest jeden wany wyjtek w przypadku kiedy wybrana jest odmienna gbia
koloru. Wtedy wchodzi w gr dopasowanie argumentw dla serwera, opcja 
jest z przedrostkiem 
.RB `--'
(Zobacz stron podrcznika
.IR xinit (1)
dla szcegw o argumentach). W szczeglnoci aby uruchomi serwer w trybie 
16bpp uyj
.sp
startx -- -bpp 16
.PP
Aby okreli program klienta, uywanego do pracy,
\fIstartx\fR najpierw szuka pliku o nazwie
.I .xinitrc
w osobistym katalogu uytkownika.
Jeeli go nie znajdzie, uywa pliku
.I xinitrc
w katalogu bibliotecznym programu 
.I xinit
.pp
Jeeli w linii komend s podane opcje, to maj one pierwszestwo nad tymi 
z plikw. Aby okreli serwer, przeznaczony do uruchomienia, 
.I startx
najpierw szuka pliku nazwanego 
.I .xserverrc
w osobistym katalogu uytkownika.
Jeeli go nie znajdzie, uywa pliku 
.I xserverrc
w katalogu bibliotecznym 
.IR xinit .
Uytkownik w rzeczywistoci rzadko potrzebuje tworzy plik 
.I .xserverrc.	
.PP
(Zobacz podrcznik
.IR xinit (1)
dla dalszych szczegw o argumentach). 
.PP
Plik 
.I .xinitrc
jest zazwyczaj skryptem powoki, ktrego wywouj liczni klienci, wczajc 
swoje waciwoci uytkownika. Gdy skrypt ten istnieje, 
.I startx 
przerywajc sesj serwera i zamyka te kad inn, wymagajc tego sesj. 
Wikszo klientw uruchamianych przez 
.I .xinitrc
powinno pracowa w tle. Ostatni klient powinien pracowa 
w pierwszym planie; jeeli istnieje, sesja bdzie zakoczona.
Czsto wybiera si jako ``magicznego'' klienta menedera sesji, menedera
okien, albo zgoa \fIxterm\fP.
.SH PRZYKAD
.PP
Poniej jest przykad \fI\.xinitrc\fP, uruchamiajcy poszczeglne aplikacje 
i pozostawiajcy meneder okien w pracy jako ``ostatni'' aplikacj.  
Zakadajc, e meneder okien jest prawidowo skonfigurowany, uytkownik 
wybiera opcj ``Exit'' menu do zamknicia sesji X.
.sp
.in +4
.nf
xrdb  \-load  $HOME/.Xresources
xsetroot  \-solid  gray  &
xbiff  \-geometry  \-430+5  &
oclock  \-geometry  75x75\-0\-0  &
xload  \-geometry  \-80\-0  &
xterm  \-geometry  +0+60  \-ls  &
xterm  \-geometry  +0\-100  &
xconsole  \-geometry  \-0+0  \-fn  5x7  &
exec  twm
.fi
.in -4
.SH "Zmienne rodowiska"
.TP 25
DISPLAY
Ta zmienna zostaje ustawiana na nazw wywietlacza, z ktrym klient powinien 
si czy.  UWAGA : 
.IR ustawiana ,
nie czytana.
.SH PLIKI
.TP 25
.I $(HOME)/.xinitrc
Klient przeznaczony do uruchomienia.  Typowy skrypt powoki ktry wykonuje 
wiele programw w tle.
.TP 25
.I $(HOME)/.xserverrc
Serwer przeznaczony do uruchomienia.  Domylnym jest
.I X.
.TP 25
.I <XRoot>/lib/X11/xinit/xinitrc
Klient przeznaczony do uruchomienia, jeeli uytkownik nie ma pliku
.I .xinitrc
 <XRoot> odnosi si do katalogu root w gazi instalacyjnej X11.
.TP 25
.I <XRoot>/lib/X11/xinit/xserverrc
Klient (chyba serwer?! - przyp. tum.) przeznaczony do uruchomienia jeeli 
uytkownik nie ma pliku
.I .xserverrc
Jest to wymagane tylko wtedy, kiedy serwer potrzebuje specjalnych argumentw 
lub nie jest nazwany.  <XRoot> odnosi si do katalogu root w gazi 
instalacyjnej X11.
.SH "ZOBACZ TAKE"
.IR xinit (1)
