.\" 1999 PTM Rafa Witkowski
.\" Poprawki: Przemek Borys
.\" $XConsortium: xinit.man /main/24 1996/12/09 17:09:20 kaleb $
.\" $XFree86: xc/programs/xinit/xinit.man,v 3.2 1996/12/23 07:11:25 dawes Exp $
.\" Copyright (c) 1988  X Consortium
.\" 
.\" Permission is hereby granted, free of charge, to any person obtaining
.\" a copy of this software and associated documentation files (the
.\" "Software"), to deal in the Software without restriction, including
.\" without limitation the rights to use, copy, modify, merge, publish,
.\" distribute, sublicense, and/or sell copies of the Software, and to
.\" permit persons to whom the Software is furnished to do so, subject to
.\" the following conditions:
.\" 
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of the X Consortium shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from the X Consortium.
.TH XINIT 1 "Release 6.3" "X Version 11"
.SH NAZWA
xinit \- inicjalizer systemu X Window 
.SH SKADNIA
.B xinit
[ [
.I klient
]
.I opcje
] [
.B \-\^\-
[
.I server
] [
.I display
]
.I opcje
]
.SH OPIS
Program \fIxinit\fP jest uywany do startu systemu X Window 
i pierwszego programu klienta dla systemw, ktre nie mog
wystartowa X wprost z katalogu \fI/etc/init\fP albo w rodowisku ktre
uywa wielu systemw okien. Kiedy pierwszy klient
istnieje, \fIxinit\fP bdzie koczy proces X serwera i ten si zakoczy.
.PP
Jeeli aden program klienta nie jest podany w linii komendy,
\fIxinit\fP bdzie szuka w gwnym katalogu uytkownika pliku \fI.xinitrc\fP
aby wykona go jako skrypt powoki w celu uruchomienia programu klienta.
Jeeli ten plik nie istnieje, \fIxinit\fP bdzie 
uywa nastpujcej komendy jako domylnej:
.sp
	xterm  \-geometry  +1+1  \-n  login  \-display  :0
.sp
.PP
Jeeli w linii komendy nie jest podany aden program serwera,
\fIxinit\fP bdzie szuka w gwnym katalogu uytkownika pliku 
skryptowego \fI.xserverrc\fP.
Nastpnie wykona go jako skrypt powoki w celu uruchomienia programu serwera.
Jeeli plik ten nie istnieje, \fIxinit\fP bdzie uywa 
nastpujcej komendy domylnej:
.sp
	X  :0
.sp
Prosz zwrci uwag, e jest to program o nazwie \fIX\fP 
w aktualnej ciece dostpu.
Jednak serwery s zwykle nazywane \fIXdisplaytype\fP gdzie 
\fIdisplaytype\fP oznacza typ graficznego wywietlacza, ktry jest 
obsugiwany przez ten serwer.
Administrator sieci powinien wic utworzy dowizanie do 
odpowiedniego typu serwera w komputerze lub utworzy 
skrypt powoki, ktry wywoa \fIxinit\fP z odpowiednim serwerem.
.PP
Uwaga, podczas uywania skryptu \fI.xserverrc\fP naley upewni si 
czy wykonujemy "exec" z prawdziwym X serwerem.	
Nieudane wykonanie tego etapu moe uczyni X serwer powolnym (slowly)
dla startu i zakoczenia.
Na przykad :
.sp
	exec Xdisplaytype
.PP
Wanym punktem jest to, e programy, ktre s wykonywane przez skrypt
\fI\.xinitrc\fP
powinny by wykonywane w tle, jeeli one nie zakocz si prawidowo,
tak e one nie uchroni innych programw przed wystartowaniem.
Jednak ostatni dugoyjcy uruchomiony program
(zazwyczaj meneder okien lub emulator terminala)
powinien zosta pozostawiony w pierwszym planie (foreground). Jest to
konieczne by skrypt si nie zakoczy (co sygnalizuje, e zadanie uytkownika 
jest wykonane i \fIxinit\fP powinien si zakoczy).
.PP
W linii komend moe by jeszcze podany alternatywny klient i/lub serwer.
dany program klienta i jego argumenty powinny by podane jako pierwsze 
argumenty linii komendy \fIxinit\fP.  W celu zadeklarowania szczeglnej
linii komendy serwera, docz podwjn kresk (\-\^\-) do 
linii komendy  \fIxinit\fP  (po wszelkich klientach i argumentach),
a za ni oczekiwan komend serwera.
.PP
Zarwno nazwa programu klienta jak i nazwa programu serwera 
Musz si zaczyna znakiem ukonika (/) albo kropk (.). 
W przeciwnym razie bd one traktowane jako argumenty doczane do ich 
indywidualnych linii startowych. To umoliwia dodanie argumentw 
(na przykad, kolorw obrazu i ta) bez potrzeby powtarzania caej 
linii komendy.
.PP
Jeeli nazwa serwera nie jest zadeklarowana, a pierwszy argument 
wystpujcy po podwjnej kresce (--) to dwukropek z doklejon cyfr, to
 \fIxinit\fP rozpozna ten numer jako kod display zamiast zero. 
Wszystkie pozostae argumenty s doczane na kocu linii komend serwera.
.PP
.SH PRZYKADY:
Poniej s poszczeglne przykady na uywanie argumentw w linii komend
\fIxinit\fP .
.TP 8
.B "xinit"
Xinit uruchomi tu serwer o nazwie \fIX\fP i wykona skrypt 
Uytkownika \fI\.xinitrc\fP, o ile taki istnieje, a w przeciwnym razie 
wystartuje program \fIxterm\fP.
.TP 8
.B "xinit \-\^\- /usr/X11R6/bin/Xqdss  :1"
tu wida, jak mona uruchomi okrelony typ 
serwera na innym wywietlaczu.
.TP 8
.B "xinit \-geometry =80x65+10+10 \-fn 8x13 \-j \-fg white \-bg navy"
To uruchomi serwer o nazwie \fIX\fP, i doczy podane argumenty 
do domylnej linii komend programu \fIxterm\fP.
Program zignoruje skrypt \fI\.xinitrc\fP.
.TP 8
.B "xinit \-e widgets \-\^\- ./Xsun \-l \-c"
Ten przykad uyje komendy \fI\.\/Xsun \-l \-c\fP aby uruchomi
serwer i doczy argumenty \fI\-e widgets\fP do domylnej 
komendy \fIxterm\fP.
.TP 8
.B "xinit /usr/ucb/rsh fasthost cpupig \-display ws:1 \-\^\-  :1 \-a 2 \-t 5"
Ten przykad uruchomi serwer o nazwie \fIX\fP na wywietlaczu o kodzie 1,
z argumentami \fI\-a 2 \-t 5\fP. 
Potem uruchomi sieciow powok 
na zdalny komputer \fBfasthost\fP, na ktrym wykona komend \fIcpupig\fP, 
nakazujc jej wywietlanie obrazu z powrotem do lokalnej stacji.
.PP
Poniej jest przykad skryptu \fI\.xinitrc\fP uruchamiajcego zegar,
poszczeglne terminale i pozostawiajcego meneder okien pracujcy w trybie
``ostatniej'' aplikacji. 
Zakadajc, e meneder okien
zosta skonfigurowany prawidowo, uytkownik wybiera pozycj menu
``Exit'' aby zamkn program X.
.sp
.in +8
.nf
xrdb \-load $HOME/.Xresources
xsetroot \-solid gray &
xclock \-g 50x50\-0+0 \-bw 0 &
xload \-g 50x50\-50+0 \-bw 0 &
xterm \-g 80x24+0+0 &
xterm \-g 80x24+0\-0 &
twm
.fi
.in -8
.sp
Sie, ktra chce tworzy wsplne rodowisko startowe
moe po prostu utworzy domylny skrypt \fI\.xinitrc\fP,
ktry odwouje si do pliku
startowego dla sieci rozlegych  o ciece dostpu:
.sp
.in +8
.nf
#!/bin/sh
\&. /usr/local/lib/site.xinitrc
.fi
.in -8
.sp
Innym podejciem jest napisanie skryptu, ktry uruchomi \fIxinit\fP
ze specjalnym skryptem powoki. 
Takie skrypty s zwykle nazywane \fIx11\fP, \fIxstart\fP
albo \fIstartx\fP i s wygodnym sposobem zapewnienia prostego
interfejsu dla pocztkujcych uytkownikw. :
.sp
.in +8
.nf
#!/bin/sh
xinit /usr/local/lib/site.xinitrc \-\^\- /usr/X11R6/bin/X bc
.fi
.in -8
.sp
.SH "ZMIENNE RODOWISKA"
.TP 15
.B DISPLAY
Ta zmienna okrela nazw wywietlacza, z ktrym programy klienta 
powinny si poczy.
.TP 15
.B XINITRC
Ta zmienna deklaruje plik skryptu inicjujcego zawierajcy
komendy powoki do wystartowania inicjujcego okna.
Domylnie jest uywany plik \fI\.xinitrc\fP w katalogu home.
.SH PLIKI
.xinitrc domylny skrypt klienta dla programu klienta xterm; uruchamiany
jeeli nie istnieje plik .xinitrc
.TP 15
.I .xinitrc
domylny skrypt dla programu klienta 
.TP 15
.I xterm
uruchamiany, jeeli nie istanieje plik \fI.xinitrc\fP
.TP 15
.I .xserverrc
domylny skrypt dla programu serwera 
.TP 15
.I X
serwer uruchamiany jeeli nie istnieje plik \fI.xserverrc\fP
.SH ZOBACZ TAKE
.IR X (1),
.IR startx (1),
.IR Xserver (1),
.IR xterm (1)
.SH AUTOR
Bob Scheifler, MIT Laboratory dla Computer Scienc
